# Poco::Zip

# class ZipArchiveInfo64

Library: Zip
Package: Zip
Header: Poco/Zip/ZipArchiveInfo.h

## Description

A ZipArchiveInfo64 stores central directory info

## Member Summary

Member Functions: createHeader, getCentralDirectoryOffset, getCentralDirectorySize, getDiskNumber, getFirstDiskForDirectoryHeader, getHeaderOffset, getNumberOfEntries, getRequiredVersion, getTotalNumberOfEntries, getVersionMadeBy, setCentralDirectoryOffset, setCentralDirectorySize, setHeaderOffset, setNumberOfEntries, setTotalNumberOfDisks, setTotalNumberOfEntries

## Constructors

### ZipArchiveInfo64

ZipArchiveInfo64();

Default constructor, everything set to zero or empty

### ZipArchiveInfo64

ZipArchiveInfo64(
std::istream & in,
bool assumeHeaderRead
);

Creates the ZipArchiveInfo64 by parsing the input stream. If assumeHeaderRead is true we assume that the first 4 bytes were already read outside.

## Destructor

### ~ZipArchiveInfo64

~ZipArchiveInfo64();

Destroys the ZipArchiveInfo64.

## Member Functions

### createHeader

std::string createHeader() const;

Creates a header

### getCentralDirectoryOffset

std::streamoff getCentralDirectoryOffset() const;

Returns the offset of the central directory from beginning of first disk

### getCentralDirectorySize

Poco::UInt64 getCentralDirectorySize() const;

Returns the size of the central directory in bytes

### getDiskNumber

Poco::UInt32 getDiskNumber() const;

Get the number of the disk where this header can be found

### getFirstDiskForDirectoryHeader

Poco::UInt32 getFirstDiskForDirectoryHeader() const;

Returns the number of the disk that contains the start of the directory header

### getHeaderOffset

std::streamoff getHeaderOffset() const;

Returns the offset of the header in relation to the begin of this disk

### getNumberOfEntries

Poco::UInt64 getNumberOfEntries() const;

Returns the number of entries on this disk

### getRequiredVersion

void getRequiredVersion(
int & major,
int & minor
);

The minimum version required to extract the data

### getTotalNumberOfEntries

Poco::UInt64 getTotalNumberOfEntries() const;

Returns the total number of entries on all disks

### getVersionMadeBy

void getVersionMadeBy(
int & major,
int & minor
);

The ZIP version used to create the file

### setCentralDirectoryOffset

void setCentralDirectoryOffset(
Poco::UInt64 val
);

Returns the offset of the central directory from beginning of first disk

### setCentralDirectorySize

void setCentralDirectorySize(
Poco::UInt64 val
);

Set the size of the central directory in bytes

### setHeaderOffset

void setHeaderOffset(
std::streamoff val
);

Sets the offset of the header in relation to the begin of this disk

### setNumberOfEntries

void setNumberOfEntries(
Poco::UInt64 val
);

Sets the number of entries on this disk

### setTotalNumberOfDisks

void setTotalNumberOfDisks(
Poco::UInt32 val
);

Sets the offset of the central directory from beginning of first disk

### setTotalNumberOfEntries

void setTotalNumberOfEntries(
Poco::UInt64 val
);

Sets the total number of entries on all disks

## Variables

### HEADER

static const char HEADER[ZipCommon::HEADER_SIZE];

### LOCATOR_HEADER

static const char LOCATOR_HEADER[ZipCommon::HEADER_SIZE];